Skip to content
Last updated

DomainWhois

Retrieve domain whois information.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"DomainWhois"Required
domainstringThe domain name to lookupRequired

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error
statusstringThe registration status: available or unavailable
whoisstringWhois server response

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'DomainWhois',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'domain' => 'example.com',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'DomainWhois';
$postData = array(
    'domain' => 'example.com',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success",
    "status": "unavailable",
    "whois": "xxx"
}

Error Responses

Possible error condition responses include:

  • Domain not valid
  • The given TLD is not supported for WHOIS lookups

Version History

VersionChangelog
1.0Initial Version